package com.hai.service;

import com.hai.entity.HighUserPayPassword;

/**
 * 用户支付密码
 */
public interface HighUserPayPasswordService {

    /**
     * 用户密码编辑
     * @param highUserPayPassword
     */
    void editUserPayPwd(HighUserPayPassword highUserPayPassword);

    /**
     * 根据用户查询密码
     * @param userId
     * @return
     */
    HighUserPayPassword getDetailByUser(Long userId);

    /**
     * 查询用户是否设置支付密码
     * @param userId
     * @return
     */
    Boolean isSetPayPwd(Long userId);

}
